Bug 968825 - pmchart sample/visible history setting resets to default after changing it
pmchart sample/visible history setting resets to default after changing it
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: pcp-gui (Show other bugs)
el6
Unspecified Linux
medium Severity medium
: ---
: ---
Assigned To: Nathan Scott
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-30 00:05 EDT by Mark Goodwin
Modified: 2013-11-10 21:36 EST (History)
2 users (show)

See Also:
Fixed In Version: pcp-gui-1.5.9-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-02 18:05:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Goodwin 2013-05-30 00:05:06 EDT
Description of problem: change the number of visible samples and the charts update (good) but click on the time scale (or use Edit/Samples...) and the old number of samples comes back. Also, if you click on the time scale *before* having edited the number of samples, the Samples dialog doesn't show at all.

Version-Release number of selected component (if applicable): 1.5.9

How reproducible: always

Steps to Reproduce:
1. as per description

Actual results: sample/visible history setting is not persistent in the gui

Expected results: persistent for the life of the pmchart process
Comment 1 Nathan Scott 2013-07-26 20:12:19 EDT
This is fixed in upstream commit 4f165c61dfd9fb14c4fdddf46130ef66020815cd.
Comment 2 Fedora Update System 2013-07-28 04:36:12 EDT
pcp-gui-1.5.9-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/pcp-gui-1.5.9-1.fc19
Comment 3 Fedora Update System 2013-07-28 04:49:59 EDT
pcp-gui-1.5.9-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/pcp-gui-1.5.9-1.fc18
Comment 4 Fedora Update System 2013-07-28 04:51:15 EDT
pcp-gui-1.5.9-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/pcp-gui-1.5.9-1.fc17
Comment 5 Fedora Update System 2013-07-28 04:52:18 EDT
pcp-gui-1.5.9-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/pcp-gui-1.5.9-1.el6
Comment 6 Fedora Update System 2013-07-28 17:09:47 EDT
Package pcp-gui-1.5.9-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing pcp-gui-1.5.9-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-11018/pcp-gui-1.5.9-1.el6
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-08-02 18:05:24 EDT
pcp-gui-1.5.9-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-08-16 13:09:26 EDT
pcp-gui-1.5.9-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-09-15 06:24:30 EDT
pcp-gui-1.5.10-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/pcp-gui-1.5.10-1.fc18
Comment 10 Fedora Update System 2013-11-01 01:19:54 EDT
pcp-gui-1.5.11-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/pcp-gui-1.5.11-1.fc18
Comment 11 Fedora Update System 2013-11-10 21:36:59 EST
pcp-gui-1.5.11-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.